<template>
  <main class="entry-page">
    <section>
      <span class="error-text">{{ $t('pages.404.404') }}</span>
      <p class="text">{{ $t('pages.404.title') }}</p>
      <p class="text">{{ $t('pages.404.text') }}</p>
      <div class="entry-button">
        <Link
          :text="$t('pages.404.button')"
          url="/"
          look="button button--blue"
        />
      </div>
    </section>
  </main>
</template>

<script lang="ts" setup>
import Link from '@/components/Link.vue'
</script>

<style scoped>
.entry-page {
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: 10rem 20%;
  height: calc(100vh - 28rem);
  background-color: var(--grey);
}
.error-text {
  font-family: SFPro-Bold;
  font-size: 13rem;
  color: var(--blue-dark);
}
.entry-button {
  margin-top: 3rem;
}
.text {
  font-size: 1.8rem;
  color: var(--grey-dark);
}

@media (max-width: 768px) {
  .entry-page {
    height: calc(100vh - 34rem);
    padding: 10%;
  }
}

@media (max-width: 500px) {
  .entry-page {
    height: calc(100vh - 34.5rem);
    padding-right: 2rem;
    padding-left: 2rem;
  }
  .error-text {
    font-size: 8rem;
  }
  .text {
    font-size: 1.6rem;
  }
}
</style>
